Subject: Re: [SIP] port number in the record-route header

From: "Neil Deason" <[email-masked]>
Date: Mon, 19 Mar 2001 22:34:03 -0000

First off please don't x-post to several of the SIP lists.
See:
  http://www.cs.columbia.edu/~hgs/sip/list.html
to identify where is most appropriate. Thanks.

Unfortunately problems with Record-Route have resulted
in new improved text, but it has yet to appear in a revised
bis version. This text addresses the ugly over-loading
of the port value that was going on.

The proposed new text can be found in the SIP list
archive. I would be following this in any implementation.

http://lists.bell-labs.com/pipermail/sip/2000q4/004809.html

Cheers,
Neil.

>From: "Roland" <[email-masked]>
>To: "Roland" <[email-masked]>,        "sip-implementors" 
><[email-masked]>,        <[email-masked]>, 
><[email-masked]>
>Subject: [SIP] port number in the record-route header
>Date: Mon, 19 Mar 2001 11:43:59 -0800
>
>I got a problem when I append a  Record-Route header for a request in my 
>proxy .
>
>To make sure the subsequent Request visit the same proxy, my proxy add each 
>request a Record-Route header at
>top of the Record-Route list.
>
>assume a UAC send a request to my proxy,
>its Request-URI is sip:[email-masked]:5080
>and my proxy is www.proxy.com:5060 , ( notice the two port number is 
>different).
>then what should be the Record-Route header which is added to request by my 
>proxy?
>
>
>If it is <sip:[email-masked]:5060;maddr=www.proxy.com> ,
>after the request route established, the next request from UAC looks like:
>Request_URI = sip:[email-masked]:5060  and send to www.proxy.com:5060  ,
>thus the request-URI 's port is wrong!
>
>If it is <sip:[email-masked]:5080;maddr=www.proxy.com> ,  after the 
>request route established,
>the next request looks like:
>Request_URI = sip:[email-masked]:5080  and send to www.proxy.com:5080  ,
>then the request send to wrong proxy port !!!
>
>there is only one port in the record-route header, so
>What 's the exact meaning of the port in the Record-route? represents the 
>next Server? or the UAS?
>
>Thanks,
>
>Thanks again!!!!!!
>
>roland
_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.